import scrapy


class PetswebmdDogSpider(scrapy.Spider):
    name = 'petswebmd_dog'
    allowed_domains = ['pets.webmd.com']
    start_urls = ['http://pets.webmd.com/dogs/ss/slideshow-skin-problems-in-dogs/']

    def parse(self, response):
        disease_info = response.xpath('//*[@class="slide"]')

        for disease in disease_info:
            topic = disease.xpath('.//*[@class="slide-header inf_sliderheader"]/h2/text()').extract_first()
            information = disease.xpath('.//*[@class="caption inf_caption"]/p/text()').extract_first()

            yield {'Name': topic,
                   'Info': information}
            print('\n')
            print(topic)
            print(information)
            print('\n')
