from django.urls import path
from . import views

urlpatterns = [
    path('', views.getRoutes),
    path('notes/', views.getNotes),
    path('diseases/', views.get_diseases),
    path('disease/<str:pk>/', views.get_disease_description),
    path('disease/<str:pk>/<str:pk2>/', views.get_disease_sub),
    path('disease/<str:pk>/<str:pk2>/<str:pk3>/', views.get_disease_sub_info),
    path('notes/create/', views.createNote),
    path('disease/treatment/', views.get_treatment),
    path('notes/<str:pk>/update/', views.updateNote),
    path('notes/<str:pk>/delete/', views.deleteNote),
    path('notes/<str:pk>/', views.getNote),

]
